﻿

$("table.ms-listviewtable tr").click(function () {

    // crude way to work out the id of the selected row in a list view 
    var itemId = $(this).attr("iid");
    var r = /\d+,(\d+),\d+/;  // regex
    var m = r.exec(itemId);
    if (!m) {
        // can't find id on the current row - gtfo
        return;
    }
    itemId = m[1];

    GetRestItem(itemId);

    /* async
    GetRestItem(itemId);
    GetRestItem(itemId);
    GetRestItem(itemId);
    */
});

function GetRestItem(itemId) {
    // server relative url to REST service endpoint
    var ajaxurl = "/_vti_bin/SPGSvcWp/SPGRestItemService.svc/GetItem/";

    $.ajax({
        type: "GET",
        url: ajaxurl + itemId,
        contentType: "application/json; charset=utf-8",
        dataType: "json",
        cache: false,
        processData: true,
        success: function (data, status, xhr) {

            $("ul.dumb").empty();
            if (status == "success") {
                if (data && data.length) {
                    for (var i = 0; i < data.length; i++) {
                        $("ul.dumb").append(
                            "<li class='item'>" +
                                "<div>" + data[i].N + " [" + data[i].I + "]</div>" +
                                "<div>" + data[i].V + "</div>" +
                            "</li>");
                    }
                }
            }
        },
        error: alert
    });
}













/*
// example of post - see corresponding UpdateBlobComment endpoint in ISPGRestService

$.ajax({
    type: "POST",
    url: ajaxurl3 + id,
    contentType: "application/json; charset=utf-8",
    dataType: "json",
    cache: false,
    data: JSON.stringify({ id: id, comment: $("div.project-comments .comments").val() }),
    processData: true,
    success: function (data, status, xhr) {
        if (status == "success") {

            if (data) {
                $("div.project-comments .comments").val(data.Comment);
                $("div.project-comments .comments-user").text(data.UpdatedBy + " - " + data.UpdatedOn);
                $(".project-comments div.comments-save .comments-save-button").attr("disabled", "disabled");

                $("div.project-comments .comments").val("");

                refreshComments(id);
            }
        }
    },
    error: alert
});

*/